Subject: Re: [PATCH 2/2] ctype: implement islower/isupper macro

From: Namhyung Kim <[email-masked]>
Date: Fri, 10 Feb 2012 14:04:53 +0900

2012-02-10 1:03 PM, Junio C Hamano wrote:
> 김남형<[email-masked]>  writes:
>
>> 2012-02-10 11:17 AM, Junio C Hamano wrote:
>>> Namhyung Kim<[email-masked]>  writes:
>>>
>>>> The git-compat-util.h provides various ctype macros but lacks those two
>>>> (along with others). Add them.
>>>
>>> Isn't that because we do not use them ourselves? Uses in compat/ do not
>>> count, and judging from the way it is used in compat/fnmatch/fnmatch.c,
>>> the implementation of sane_iscase() might be overly protective.
>>>
>>> What problem are you trying to solve?
>>
>> There's no problem. In fact, these patches come from perf as it uses a
>> copy of git code in this part.
>
> Kim-ssi, the above is something I would have like to see in your first
> message.
>
>> If you don't
>> think it's worth applying I'm fine with dropping it.
>
> I never said these patches are worthless.
>
> I just was wondering what the motivation behind them were.  If you are
> involved in maintaining Perf, and if it wants to keep its own forked copy
> as close as ours, that is a good enough justification, as long as the
> additions we do not use ourselves is still reasonably done.
>

Hamano-san, Thanks for your explanation. I'll try to write a better 
description for the future.

Thanks,
Namhyung